package de.cnam.jemina.objects;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * POJO-Klasse
 * @author CNAM Team (Nadine, Mike, Jens)
 */
public class CD extends Artikel {
    
    private int abspieldauer;

    public CD(int abspieldauer, String titel, String beschreibung) {
        super(titel, beschreibung);
        this.abspieldauer = abspieldauer;
    }

    
    /**
     * Abspieldauert in Minuten
     * @return 
     */
    public int getAbspieldauer() {
        return abspieldauer;
    }

    public void setAbspieldauer(int abspieldauer) {
        this.abspieldauer = abspieldauer;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }
    
}
