package de.cnam.jemina.ui.components;

import com.vaadin.ui.Button;
import de.cnam.jemina.i18n.LocalizationManager;
import de.cnam.jemina.resource.ImgThemeResource;

/**
 * Ein Suchknopf :)
 * @author CNAM Team (Nadine, Mike, Jens)
 * @since 19.01.2013
 */
public class SearchButton extends Button {

    public SearchButton() {
        super();
        
        // Beschriftung setzen:
        String caption = LocalizationManager.getLocalizationManager(SearchButton.class).localize("suche");
        if (caption != null) {
            setCaption(caption);
        }
        
        // Icon setzen:
        setIcon(new ImgThemeResource("Find"));
    }

}
