package de.cnam.jemina.ui.egg;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;
import java.net.URI;
import java.net.URISyntaxException;
import java.util.ArrayList;
import java.util.List;
import java.util.Random;
import java.util.StringTokenizer;

/**
 * Be happy :)
 */
public final class EggUtil {

    private static List<String> ivTxtList = null;

    private EggUtil() {}

    public static String getRandomMsg() {
        if (ivTxtList == null || ivTxtList.isEmpty()) {
            ivTxtList = new ArrayList<>(42);
            StringBuilder msg = null;
            BufferedReader re = null;
             try {
                URI fileUri = EggUtil.class.getResource("input").toURI();
                re = new BufferedReader(new FileReader(new File(fileUri)));
                String z, str = null;
                StringTokenizer stTok = null;
                while ((z = re.readLine()) != null) {
                    msg = new StringBuilder();
                    stTok = new StringTokenizer(z, " ", false);
                    while (stTok.hasMoreTokens()) {
                        str = stTok.nextToken();
                        msg.append((char) Integer.parseInt(str, 16));
                    }
                    ivTxtList.add(msg.toString());
                }
                re.close();
            } catch (URISyntaxException | IOException | NumberFormatException ex) {
                if (re != null) {
                    try {
                        re.close();
                    } catch (IOException ex1) {
                    }
                }
            } finally {
            }
        }

        // Output
        if (! ivTxtList.isEmpty()) {
            Random r = new Random();
            int rnd = r.nextInt(ivTxtList.size());

            return ivTxtList.get(rnd);
        } else {
            return null;
        }
    }

}
