<#if package?? && package != "">
package ${package};

import com.vaadin.ui.Component;
import de.cnam.jemina.entrypoint.IJeminaApplication;
import de.cnam.jemina.i18n.LocalizationManager;
import de.cnam.jemina.ui.controlls.IControll;
import java.util.Map;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

</#if>
/**
 * Modul "${name}"
 * @author CNAM Team (Nadine, Mike, Jens)
 */
public class ${name} implements IControll {

    public static final String MODUL_NAME = "${name}";
    public static final String MODUL_ICON = "${name}";

    // Fuer die Uebersetzung:
    private final LocalizationManager locale = LocalizationManager.getLocalizationManager(${name}.class);
    
    // Logging:
    private final Logger log = LoggerFactory.getLogger(${name}.class);
    
    // View (UI)
    // @todo: VIEW
    
    // Applikation:
    private final IJeminaApplication app;

    /**
     * Konstruktor
     * @param app Die Anwendungsklasse zur Kommunikation
     */
    public ${name}(IJeminaApplication app) {
        this.app = app;
    }


    @Override
    public String getName() {
        return MODUL_NAME;
    }

    @Override
    public String getIconName() {
        return MODUL_ICON;
    }

    @Override
    public String getCaption() {
        return locale.localize(MODUL_NAME);
    }

    @Override
    public Component open(Object obj, Map additionalParameters) {
        throw new UnsupportedOperationException("Not supported yet.");
    }
}
